## CheeseFlash

CheeseFlash — Flash the screen, like a real camera flash

## Stability Level

Unstable, unless otherwise indicated

## Functions

CheeseFlash * | cheese_flash_new ()
void | cheese_flash_fire ()

## Properties

GtkWidget * | parent | Write

## Types and Values

| CheeseFlash

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── CheeseFlash

## Implemented Interfaces

CheeseFlash implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <cheese/cheese-flash.h>

## Description

CheeseFlash is a window that you can create and invoke a method "flash" on to temporarily flood the screen with white.

## Functions

### cheese_flash_new ()

    CheeseFlash *
    cheese_flash_new (GtkWidget *parent);

Create a new CheeseFlash, associated with the `parent` widget.

#### Parameters

parent | a parent GtkWidget |

#### Returns

a new CheeseFlash

### cheese_flash_fire ()

    void
    cheese_flash_fire (CheeseFlash *flash);

Fire the flash.

#### Parameters

flash | a CheeseFlash |

## Types and Values

### CheeseFlash

    typedef struct _CheeseFlash CheeseFlash;

Use the accessor functions below.

## Property Details

### The `“parent”` property

      “parent”                   GtkWidget *

Parent GtkWidget for the CheeseFlash. The flash will be fired on the screen where the parent widget is shown.

Owner: CheeseFlash

Flags: Write